Bug 365551 - TAHI--DHCPv6--The status code of the recieved DHCPv6 Reply Message is not NotOnLink
TAHI--DHCPv6--The status code of the recieved DHCPv6 Reply Message is not Not...
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: dhcpv6 (Show other bugs)
All Linux
medium Severity medium
: rc
: ---
Assigned To: David Cantrell
: 436790 (view as bug list)
Depends On:
Blocks: 253764
  Show dependency treegraph
Reported: 2007-11-04 01:56 EST by Zhiyong Wu
Modified: 2011-01-24 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version: RHBA-2008-0365
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-21 12:02:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Zhiyong Wu 2007-11-04 01:56:24 EST
Description of problem:

  When having dhcpv6 tests about "Reception of Confirm message with invalid 

addresses" in the server mode,we found that The status code of the recieved 

DHCPv6 Reply Message is not NotOnLink in some scenarios.

Version-Release number of selected component (if applicable):


Software Environment:   
TAHI package:    

How reproducible:
  every time

Steps to Reproduce:    
  1. Configure TAHI test environment.     
  2. Run the TAHI test suite     
  3. After the test completes, check for the results 
Actual results:

   The status code of the recieved DHCPv6 Reply Message is not NotOnLink.

Expected results:

   The status code of the recieved DHCPv6 Reply Message is NotOnLink. 

Additional info:
   please refer to 

   (1) 48 Part C : Reception of Confirm message with invalid addresses
Comment 1 RHEL Product and Program Management 2007-11-07 05:34:41 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 2 Zhiyong Wu 2007-12-27 23:45:58 EST
the bug has been tested PASS with dhcpv6-1.0.4-1.el5.i386.rpm 
dhcpv6-client-1.0.4-1.el5.i386.rpm  libdhcp6client-1.0.4-1.el5.i386.rpm.
Comment 4 Zhiyong Wu 2008-02-22 01:55:39 EST
the test cases still FAIL On RHEL5.2 with dhcpv6-1.0.10

for more details, pls refer to

Comment 6 Denise Dumas 2008-02-27 10:25:27 EST
In order to debug this problem, we need the test case for RHEL 5.2 with an exact
reproducer, including output with verbose debugging messages from the DHCPV6
software.  One way to do this would be to extract the commands that TAHI runs.
The man pages for dhcp6s, dhcp6r, and dhcp6c all show how to generate verbose
debug messages. 
Comment 8 David Cantrell 2008-03-12 16:15:39 EDT
Fixed in dhcpv6-1.0.10-2.el5.
Comment 10 David Cantrell 2008-03-14 15:53:20 EDT
*** Bug 436790 has been marked as a duplicate of this bug. ***
Comment 14 errata-xmlrpc 2008-05-21 12:02:07 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.